Bug 498305 - Backlight gets dimmed when machine is idle but does not return to original setting
Backlight gets dimmed when machine is idle but does not return to original se...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-29 15:44 EDT by Guil Barros
Modified: 2009-08-20 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guil Barros 2009-04-29 15:44:30 EDT
Description of problem:
Backlight dims correctly (though i wish i could set how much) when machine is idle but does non return to original setting when not-idle.

Version-Release number of selected component (if applicable):
gnome-power-manager-2.26.0-2.fc11.i586

How reproducible:
Everytime

Steps to Reproduce:
1. let machine idle
2. watch g-p-m dim screen
3. twiddle mouse
4. watch g-p-m un-dim screen to some other setting
  
Actual results:
Dim feature is pointless as i have to manually fix brightness every time it kicks in.

Expected results:
Brightness should return to setting it was at before it got auto-dimmed by g-p-m
Comment 1 Bug Zapper 2009-06-09 10:49:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Andrew Hecox 2009-07-11 11:25:36 EDT
seeing similar behaviour here... Guil ... still experiencing?
Comment 3 Guil Barros 2009-07-12 17:11:06 EDT
Yes, still happens.
Comment 4 Richard Hughes 2009-08-20 08:42:23 EDT
Does installing the latest gnome-power-manager package in updates-testing (and then rebooting...) fix the problem?
Comment 5 Guil Barros 2009-08-20 10:25:33 EDT
Installed per your IRC instructions, no change. Sorry :(
Comment 6 Guil Barros 2009-08-20 10:34:46 EDT
Output of 'gnome-power-manager --verbose':


TI:09:32:13	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:13	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:13	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:13	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:13	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:13	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 7
TI:09:32:13	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 8 of 15
TI:09:32:13	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.530000 on feedback widget
TI:09:32:13	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 1
TI:09:32:13	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:13	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 53
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 8
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 9 of 15
TI:09:32:14	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.600000 on feedback widget
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 2
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 60
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 9
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 10 of 15
TI:09:32:14	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.660000 on feedback widget
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 3
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 66
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 10
TI:09:32:14	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 11 of 15
TI:09:32:14	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.730000 on feedback widget
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 4
TI:09:32:14	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:14	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 73
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 11
TI:09:32:15	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 12 of 15
TI:09:32:15	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.800000 on feedback widget
TI:09:32:15	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 5
TI:09:32:15	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:15	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 80
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_filter_x_events,129
 - Key 233 mapped to key brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:gpm_button_emit_type,89
 - emitting button-pressed : brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-manager.c	FN:button_pressed_cb,879
 - Button press event type=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,404
 - Button press event type=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_get_hw,119
 - GetBrightness returned level: 12
TI:09:32:15	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 13 of 15
TI:09:32:15	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_display_value,138
 - Displaying 0.860000 on feedback widget
TI:09:32:15	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,98
 - refcount now: 6
TI:09:32:15	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_add,99
 - non zero, so sending REFCOUNT_ADDED
TI:09:32:15	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_button_pressed_cb,419
 - emitting brightness-changed : 86
TI:09:32:15	TH:0x9e3d560	FI:gpm-button.c	FN:hal_device_condition_cb,411
 - condition=ButtonPressed, details=brightness-up
TI:09:32:15	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,75
 - refcount now: 5
TI:09:32:15	TH:0x9e3d560	FI:gpm-notify.c	FN:notify_closed_cb,83
 - caught notification closed signal
TI:09:32:16	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,75
 - refcount now: 4
TI:09:32:16	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,75
 - refcount now: 3
TI:09:32:16	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,75
 - refcount now: 2
TI:09:32:17	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,75
 - refcount now: 1
TI:09:32:17	TH:0x9e3d560	FI:gpm-refcount.c	FN:gpm_refcount_auto_decrement,72
 - zero, so sending REFCOUNT_ZERO
TI:09:32:17	TH:0x9e3d560	FI:gpm-feedback-widget.c	FN:gpm_feedback_close_window,128
 - Closing feedback widget
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-vendor'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-notice'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-url'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-vendor'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-notice'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-url'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-vendor'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-notice'
TI:09:32:36	TH:0x9e3d560	FI:dkp-object.c	FN:dkp_object_collect_props,131
 - unhandled property 'recall-url'
TI:09:32:36	TH:0x9e3d560	FI:gpm-devicekit.c	FN:gpm_devicekit_get_object_icon,146
 - got filename: gpm-battery-040
TI:09:32:36	TH:0x9e3d560	FI:gpm-engine.c	FN:gpm_engine_recalculate_state_icon,390
 - no change
TI:09:32:36	TH:0x9e3d560	FI:gpm-engine.c	FN:gpm_engine_get_summary,234
 - tooltip: Laptop battery 1 hour 20 minutes remaining (38.4%)
TI:09:32:36	TH:0x9e3d560	FI:gpm-engine.c	FN:gpm_engine_recalculate_state_summary,415
 - ** EMIT: summary-changed(2): Laptop battery 1 hour 20 minutes remaining (38.4%)
TI:09:32:45	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_idletime_alarm_expired_cb,347
 - idletime alarm: 1
TI:09:32:45	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_evaluate,195
 - is_idle=0, is_inhibited=0
TI:09:32:45	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_evaluate,229
 - normal to dim
TI:09:32:45	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_set_mode,118
 - Doing a state transition: dim
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_notify_system_idle_changed,492
 - we were active for 57.768862s
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_notify_system_idle_changed,495
 - changing powersave idle status to 1
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,253
 - 1. main brightness 0.860000
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,271
 - 2. battery scale 0.500000, brightness 0.430000
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,289
 - 3. idle scale 0.300000, brightness 0.129000
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,309
 - 4. ambient scale 1.000000, brightness 0.129000
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness.c	FN:gpm_brightness_trust_cache,101
 - using cache for value 86 (probably okay)
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness.c	FN:gpm_brightness_trust_cache,101
 - using cache for value 86 (probably okay)
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_dim_hw,243
 - new_level_hw=1
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_dim_hw_step,200
 - new_level_hw=1, last_set_hw=13
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 13 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 12 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 11 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 10 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 9 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 8 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 7 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 6 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 5 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 4 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 3 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 2 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 1 of 15
TI:09:32:45	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,328
 - emitting brightness-changed : 13
TI:09:32:45	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_evaluate,237
 - setting up blank callback
TI:09:32:49	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_idletime_reset_cb,368
 - idletime reset
TI:09:32:49	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_evaluate,195
 - is_idle=0, is_inhibited=0
TI:09:32:49	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_set_mode,118
 - Doing a state transition: normal
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_notify_system_idle_changed,470
 - we have just been idle for 3.938305s
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_notify_system_idle_changed,477
 - increasing idle dim time to 60s
TI:09:32:49	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_set_timeout_dim,262
 - Setting dim idle timeout: 60s
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_notify_system_idle_changed,495
 - changing powersave idle status to 0
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,253
 - 1. main brightness 0.860000
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,271
 - 2. battery scale 0.500000, brightness 0.430000
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,289
 - 3. idle scale 1.000000, brightness 0.430000
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,309
 - 4. ambient scale 1.000000, brightness 0.430000
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness.c	FN:gpm_brightness_trust_cache,101
 - using cache for value 6 (probably okay)
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_dim_hw,243
 - new_level_hw=6
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_dim_hw_step,200
 - new_level_hw=6, last_set_hw=1
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 1 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 2 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 3 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 4 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 5 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-hal.c	FN:gpm_brightness_hal_set_hw,155
 - Setting 6 of 15
TI:09:32:49	TH:0x9e3d560	FI:gpm-backlight.c	FN:gpm_backlight_brightness_evaluate_and_set,328
 - emitting brightness-changed : 43
TI:09:32:49	TH:0x9e3d560	FI:gpm-manager.c	FN:idle_changed_cb,734
 - Idle state changed: NORMAL
TI:09:32:49	TH:0x9e3d560	FI:gpm-brightness-kbd.c	FN:gpm_brightness_kbd_undim,378
 - no hardware
TI:09:32:49	TH:0x9e3d560	FI:gpm-idle.c	FN:gpm_idle_evaluate,200
 - X not idle
Comment 7 Guil Barros 2009-08-20 11:11:37 EDT
After talking to Richard we noticed that dim/undim works correctly if I uncheck "Reduce backlight brightness" in Power Manager Preferences. The argument being that this forces the backlight to always return to a dim state. I suggested that an automated system should not override a human-set value outside of a state transition and he did not think that was an incorrect statement. We will work on this in a different ticket and close this one out as it is not in fact broken :)

Note You need to log in before you can comment on or make changes to this bug.